package com.rf.psychological.scale.service;

import com.rf.psychological.dao.model.DimensionEntity;

import java.util.List;

/**
 * @author zsy
 * @description:
 * @date 2021/5/14 10:49
 */
public interface DimensionService {

    /**
     * 保存
     *
     * @param dimensionEntity
     */
    void saveDimension(DimensionEntity dimensionEntity);

    void saveBatch(List<DimensionEntity> dimensionEntity);

    /**
     * 根据flag查询维度信息
     *
     * @param flag
     */
    List<DimensionEntity> getDimensionByFlag(String flag);

    List<DimensionEntity> findAll();

    void updateDimension(DimensionEntity dimensionEntity);

    void deleteDimensionByFlag(String flag);

    List<String> findByIds(List<String> dimensionIds);

    DimensionEntity findById(String dimensionId);
}
